Upgrading Postgresql on Debian/Ubuntu/Mint

Upgrading Postgresql on Debian Ubuntu Mint

Upgrading Postgresql on Debian Ubuntu Mint ? Upgrading Postgresql on Debian/Ubuntu/Mint or Updating was not a tough procedure. Some times when you update your system, there may be a possibility that postgresql dependent files were missing or not found. On my computer, running elementary os generated and issue like this “postgresql-contrib-9.3: Depends: postgresql-9.3 (= 9.3.12-0ubuntu0.14.04) but 9.3.11-0ubuntu0.14.04 is installed” like this while upgrading.

So, as far as from from experience, i found a solutions to easily upgrade and manage postgreysql.Just follow the instructions from below.To Upgrading Postgresql on Debian/Ubuntu/Mint use this:

Also, the debian packages will start the server 9.3 and configure it to run on a port other than the port 9.1 is running on, likely 5433.

You can verify the installation was success or not using this command:

if everything went correctly, you will see a message like this:
psql (PostgreSQL) 9.3.12

Screenshot from 2016-04-18 11:44:54

I am also putting some useful commands under this.

Starting the new server
sudo service postgresql start 9.3

Cleaning up
sudo apt-get remove postgresql-9.1

Upgrading Postgresql on Debian/Ubuntu/Mint, I wrote this simple article because the procedure may lead to some errors, it’s possible.But, if you found one just relax and give time to solve it.Thanks for reading.

Leave a Comment

Your email address will not be published. Required fields are marked *